Subject: bug#70826: [PATCH] system: Allow distinguishing <mapped-device-type>s.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 09 May 2025 10:38:51 +0200

Hi,

45mg <[email-masked]> writes:

> Sorry for the delay, I've been quite busy lately.

No worries.

> If I understand correctly, your proposal would make
> luks-device-mapping-with-options obsolete, so users would have to change
> from this:
>
> --8<---------------cut here---------------start------------->8---
> (mapped-device
>  (source "/dev/sdb1")
>  (target "data")
>  (type (luks-device-mapping-with-options
>         #:allow-discards? #t)))
> --8<---------------cut here---------------end--------------->8---
>
> to this:
>
> --8<---------------cut here---------------start------------->8---
> (mapped-device
>  (source "/dev/sdb1")
>  (target "data")
>  (type luks-device-mapping)
>  (arguments (list #:allow-discards? #t)))
> --8<---------------cut here---------------end--------------->8---
>
> Is that correct? Just trying to make sure I understand your idea.

Yes.  But we can keep ‘luks-device-mapping-with-options’ for a while and
mark it as deprecated.

> At any rate, I should be able to work on this within two weeks at most;
> feel free to ping me if I don't send a v2 by then.

Excellent.  Feel free to start from the patch I sent.

Thank you!

Ludo’.